Onboard user in Phoenix auth with RFID/FSS support

POST /users/{userId}/onboard/{applicationName}

Operation id: UserService_OnboardUser

Description

Permission Level: Read-Write

Tags: UserService

Parameters

Path parameters

NameTypeRequiredDescription
applicationNamestringYesThe application name. Required: false
userIdstringYesuser_id of the user to get details, Required: false

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
tenantIdstringNo
firstNamestringNo
lastNamestringNo
{
  "type": "object",
  "properties": {
    "tenantId": {
      "type": "string"
    },
    "firstName": {
      "type": "string"
    },
    "lastName": {
      "type": "string"
    }
  }
}

Response models

200 — A successful response.

Content type: application/json

Schema

{
  "type": "object",
  "properties": {}
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}